Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 423717 - media-plugins/gst-plugins-ffmpeg-0.10.13-r2 fails to build with || ( >=media-video/ffmpeg-0.11 >=media-video/libav-9 )
Summary: media-plugins/gst-plugins-ffmpeg-0.10.13-r2 fails to build with || ( >=media-...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: GStreamer package maintainers
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Keywords: NeedPatch
: 425318 433619 (view as bug list)
Depends on:
Blocks: ffmpeg-0.11-breakage libav-9
  Show dependency tree
 
Reported: 2012-06-26 22:18 UTC by Herbert Wantesh
Modified: 2013-02-16 14:06 UTC (History)
15 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
complete build.log (build.log,50.06 KB, text/plain)
2012-08-18 19:21 UTC, shinydoofy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Herbert Wantesh 2012-06-26 22:18:13 UTC
gst-plugins-ffmpeg-0.10.13-r2 doesn't compile

Reproducible: Always
Comment 1 Herbert Wantesh 2012-06-26 22:19:37 UTC
emerge --info
Portage 2.2.0_alpha113 (default/linux/amd64/10.0, gcc-4.5.3, glibc-2.14.1-r3, 3.3.8 x86_64)
=================================================================
System uname: Linux-3.3.8-x86_64-AMD_Athlon-tm-64_X2_Dual_Core_Processor_4400+-with-gentoo-2.1
Timestamp of tree: Tue, 26 Jun 2012 19:30:01 +0000
ccache version 3.1.7 [enabled]
app-shells/bash:          4.2_p20
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/ccache:          3.1.7
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.6
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo multimedia kde gamerlay-stable local
Installed sets: @kdebase-4.8
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles multilib-strict news parallel-fetch parse-eapi-ebuild-head preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--sort-common"
LINGUAS="en de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude ChangeLog"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp/portage"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/multimedia /var/lib/layman/kde /var/lib/layman/gamerlay /usr/local/portage/overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 64bit X a52 aac aalib accessibility acpi additions aften akonadi alsa amd64 amr amrnb amrwb apm apng archive asf aspell audio avi avresample blksha1 browserplugin bzip2 cairo caps cdda cddb cdparanoia classic client clucene cmake commercial consolekit cracklib crypt css cups curl custom-cflags custom-optimization cvs cxx daemon dbus device-mapper devil dga dirac divx divx4linux djvu dri dts dvd dvdnav dvdr dvdread ebook embedded encode enda eselect exceptions exif extensions extras faac faad fam ffmpeg firefox flac fontconfig fortran ftp fts3 fuse g3dvl gallium gcrypt gd gecko geoip gif gimp gimpprint git glib glibc-omitfp glitz gpm gs gstreamer gtk gtk2 gudev httpd hwdb icecast iconv icu id3 id3tag idn imagemagick imlib inotify ipc jabber java jit joystick jpeg jpeg2k kde kdrive kipi lame lcms less libnotify libsamplerate libvisual live lm_sensors loop-aes lua lzma lzo mad matroska midi minizip mmx mmxext mng mousewarp moznocompose moznoirc moznomail mp2 mp3 mp4 mpeg mplayer mtp mudflap multilib musepack nas ncat ncurses ndiff nemesi network nfs nfsv3 nls nmap normalize nping nptl nptlonly nsplugin ntfsprogs nut nvidia nxclient ogg okteta openal opencl opencore-amr openexr opengl openmp openssl optimized-qmake orc otr pam pcap pch pcre pdf perl pgo plasma player png policykit poppler-data postscript ppds privacy ps qmake qt-faststart qt3support qt4 quicktime raptor rar readline realmedia redland replaygain rtc rtmp rtsp sasl schroedinger scrobbler sdl secure-delete semantic-desktop server sesame2 session sftp sha512 shm shout slit smi smp sndfile socks5 speex spell sqlite srt sse sse2 ssl startup-notification stats stream subversion svg system-sqlite tcpd texteffect theora threads threadsafe tiff tk toolbar tordns transcode transparent-proxy trayicon tremor truetype twolame udev udisks unicode unlock-notify upower usb userlocales utempter utils vaapi vcd vcdimager vdpau video virtuoso vorbis wallpapers wav wavpack weather webdav-neon webm wma wmf wmp x264 xanim xcb xcomposite xml xmp xorg xpdf-headers xprint xtf xv xvfb xvid xvmc zip zlib" ALSA_CARDS="emu10k1" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" CURL_SSL="openssl" ELIBC="glibc" INPUT_DEVICES="mouse keyboard evdev" KERNEL="linux" LINGUAS="en de" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby18" SANE_BACKENDS="hp5400" USERLAND="GNU" VIDEO_CARDS="nvidia nouveau"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, USE_PYTHON
Comment 2 Herbert Wantesh 2012-06-26 22:20:22 UTC
/bin/sh ../../libtool --silent --tag=CC --tag=disable-static  --mode=compile x86_64-pc-linux-gnu-gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../..     -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libxml2   -I../../gst-libs -I../../gst-libs -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libxml2    -Wall -Wdeclaration-after-statement -Wvla -Wpointer-arith -Wmissing-declarations -Wmissing-prototypes -Wredundant-decls -Wundef -Wwrite-strings -Wformat-nonliteral -Wformat-security -Wold-style-definition -Winit-self -Wmissing-include-dirs -Waddress -Waggregate-return -Wno-multichar -Wnested-externs       -march=athlon64 -O2 -pipe -c -o libgstffmpeg_la-gstffmpegcodecmap.lo `test -f 'gstffmpegcodecmap.c' || echo './'`gstffmpegcodecmap.c
In file included from gstffmpegprotocol.c:34:0:
gstffmpeg.h:63:20: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gstreamer_protocol'
gstffmpeg.h:64:20: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gstpipe_protocol'
gstffmpegprotocol.c:49:33: error: expected ')' before '*' token
gstffmpegprotocol.c:97:33: error: expected ')' before '*' token
gstffmpegprotocol.c:137:33: error: expected ')' before '*' token
gstffmpegprotocol.c:157:34: error: expected ')' before '*' token
gstffmpegprotocol.c:182:33: error: expected ')' before '*' token
gstffmpegprotocol.c:262:34: error: expected ')' before '*' token
gstffmpegprotocol.c:291:13: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gstreamer_protocol'
gstffmpegprotocol.c:305:34: error: expected ')' before '*' token
gstffmpegprotocol.c:333:34: error: expected ')' before '*' token
gstffmpegprotocol.c:371:35: error: expected ')' before '*' token
gstffmpegprotocol.c:380:13: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gstpipe_protocol'
make[3]: *** [libgstffmpeg_la-gstffmpegprotocol.lo] Fehler 1
make[3]: *** Warte auf noch nicht beendete Prozesse...
In file included from gstffmpeg.c:38:0:
gstffmpeg.h:63:20: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gstreamer_protocol'
gstffmpeg.h:64:20: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gstpipe_protocol'
In file included from gstffmpeg.c:39:0:
gstffmpegutils.h:90:26: warning: 'enum SampleFormat' declared inside parameter list
gstffmpegutils.h:90:26: warning: its scope is only this definition or declaration, which is probably not what you want
gstffmpeg.c: In function 'gst_ffmpeg_avcodec_open':
gstffmpeg.c:52:3: warning: 'avcodec_open' is deprecated (declared at /usr/include/libavcodec/avcodec.h:3380)
gstffmpeg.c: In function 'gst_ffmpeg_av_find_stream_info':
gstffmpeg.c:76:3: warning: 'av_find_stream_info' is deprecated (declared at /usr/include/libavformat/avformat.h:1357)
gstffmpeg.c: In function 'plugin_init':
gstffmpeg.c:154:3: warning: implicit declaration of function 'av_register_protocol2'
gstffmpeg.c:154:3: warning: nested extern declaration of 'av_register_protocol2'
gstffmpeg.c:154:27: error: 'gstreamer_protocol' undeclared (first use in this function)
gstffmpeg.c:154:27: note: each undeclared identifier is reported only once for each function it appears in
gstffmpeg.c:154:55: error: 'URLProtocol' undeclared (first use in this function)
gstffmpeg.c:155:27: error: 'gstpipe_protocol' undeclared (first use in this function)
make[3]: *** [libgstffmpeg_la-gstffmpeg.lo] Fehler 1
In file included from gstffmpegcodecmap.c:33:0:
gstffmpeg.h:63:20: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gstreamer_protocol'
gstffmpeg.h:64:20: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gstpipe_protocol'
gstffmpegcodecmap.c: In function 'gst_ffmpeg_get_palette':
gstffmpegcodecmap.c:53:18: error: 'AVCodecContext' has no member named 'palctrl'
gstffmpegcodecmap.c:54:25: error: 'AVCodecContext' has no member named 'palctrl'
gstffmpegcodecmap.c:55:14: error: 'AVCodecContext' has no member named 'palctrl'
gstffmpegcodecmap.c:55:45: error: 'AVPaletteControl' undeclared (first use in this function)
gstffmpegcodecmap.c:55:45: note: each undeclared identifier is reported only once for each function it appears in
gstffmpegcodecmap.c:56:14: error: 'AVCodecContext' has no member named 'palctrl'
gstffmpegcodecmap.c:57:22: error: 'AVCodecContext' has no member named 'palctrl'
gstffmpegcodecmap.c: In function 'gst_ffmpeg_set_palette':
gstffmpegcodecmap.c:66:14: error: 'AVCodecContext' has no member named 'palctrl'
gstffmpegcodecmap.c:69:54: error: 'AVCodecContext' has no member named 'palctrl'
gstffmpegcodecmap.c: At top level:
gstffmpegcodecmap.c:82:3: error: 'CH_FRONT_LEFT' undeclared here (not in a function)
gstffmpegcodecmap.c:83:3: error: 'CH_FRONT_RIGHT' undeclared here (not in a function)
gstffmpegcodecmap.c:84:3: error: 'CH_FRONT_CENTER' undeclared here (not in a function)
gstffmpegcodecmap.c:85:3: error: 'CH_LOW_FREQUENCY' undeclared here (not in a function)
gstffmpegcodecmap.c:86:3: error: 'CH_BACK_LEFT' undeclared here (not in a function)
gstffmpegcodecmap.c:87:3: error: 'CH_BACK_RIGHT' undeclared here (not in a function)
gstffmpegcodecmap.c:88:3: error: 'CH_FRONT_LEFT_OF_CENTER' undeclared here (not in a function)
gstffmpegcodecmap.c:89:3: error: 'CH_FRONT_RIGHT_OF_CENTER' undeclared here (not in a function)
gstffmpegcodecmap.c:90:3: error: 'CH_BACK_CENTER' undeclared here (not in a function)
gstffmpegcodecmap.c:91:3: error: 'CH_SIDE_LEFT' undeclared here (not in a function)
gstffmpegcodecmap.c:92:3: error: 'CH_SIDE_RIGHT' undeclared here (not in a function)
gstffmpegcodecmap.c:93:3: error: 'CH_TOP_CENTER' undeclared here (not in a function)
gstffmpegcodecmap.c:94:3: error: 'CH_TOP_FRONT_LEFT' undeclared here (not in a function)
gstffmpegcodecmap.c:95:3: error: 'CH_TOP_FRONT_CENTER' undeclared here (not in a function)
gstffmpegcodecmap.c:96:3: error: 'CH_TOP_FRONT_RIGHT' undeclared here (not in a function)
gstffmpegcodecmap.c:97:3: error: 'CH_TOP_BACK_LEFT' undeclared here (not in a function)
gstffmpegcodecmap.c:98:3: error: 'CH_TOP_BACK_CENTER' undeclared here (not in a function)
gstffmpegcodecmap.c:99:3: error: 'CH_TOP_BACK_RIGHT' undeclared here (not in a function)
gstffmpegcodecmap.c:100:3: error: 'CH_STEREO_LEFT' undeclared here (not in a function)
gstffmpegcodecmap.c:101:3: error: 'CH_STEREO_RIGHT' undeclared here (not in a function)
gstffmpegcodecmap.c: In function 'gst_ff_aud_caps_new':
gstffmpegcodecmap.c:345:15: error: 'CH_LAYOUT_SURROUND' undeclared (first use in this function)
gstffmpegcodecmap.c:345:9: warning: initialization makes integer from pointer without a cast
gstffmpegcodecmap.c:345:35: error: 'CH_LAYOUT_QUAD' undeclared (first use in this function)
gstffmpegcodecmap.c:345:9: warning: initialization makes integer from pointer without a cast
gstffmpegcodecmap.c:345:51: error: 'CH_LAYOUT_5POINT0' undeclared (first use in this function)
gstffmpegcodecmap.c:345:9: warning: initialization makes integer from pointer without a cast
gstffmpegcodecmap.c:346:9: error: 'CH_LAYOUT_5POINT1' undeclared (first use in this function)
gstffmpegcodecmap.c:346:9: warning: initialization makes integer from pointer without a cast
gstffmpegcodecmap.c:346:31: error: 'CH_LAYOUT_7POINT1' undeclared (first use in this function)
gstffmpegcodecmap.c:347:7: warning: initialization makes integer from pointer without a cast
gstffmpegcodecmap.c: In function 'gst_ffmpeg_codecid_to_caps':
gstffmpegcodecmap.c:619:9: warning: 'sub_id' is deprecated (declared at /usr/include/libavcodec/avcodec.h:1356)
gstffmpegcodecmap.c: At top level:
gstffmpegcodecmap.c:1861:36: warning: 'enum SampleFormat' declared inside parameter list
gstffmpegcodecmap.c:1861:36: warning: its scope is only this definition or declaration, which is probably not what you want
gstffmpegcodecmap.c:1860:46: error: parameter 1 ('sample_fmt') has incomplete type
gstffmpegcodecmap.c: In function 'gst_ffmpeg_smpfmt_to_caps':
gstffmpegcodecmap.c:1870:10: error: 'SAMPLE_FMT_S16' undeclared (first use in this function)
gstffmpegcodecmap.c:1875:10: error: 'SAMPLE_FMT_S32' undeclared (first use in this function)
gstffmpegcodecmap.c:1880:10: error: 'SAMPLE_FMT_FLT' undeclared (first use in this function)
gstffmpegcodecmap.c:1885:10: error: 'SAMPLE_FMT_DBL' undeclared (first use in this function)
gstffmpegcodecmap.c: In function 'gst_ffmpeg_codectype_to_audio_caps':
gstffmpegcodecmap.c:1944:23: error: storage size of 'i' isn't known
gstffmpegcodecmap.c:1949:22: error: 'SAMPLE_FMT_DBL' undeclared (first use in this function)
gstffmpegcodecmap.c:1949:5: error: lvalue required as increment operand
gstffmpegcodecmap.c:1944:23: warning: unused variable 'i'
gstffmpegcodecmap.c: In function 'gst_ffmpeg_caps_to_smpfmt':
gstffmpegcodecmap.c:2052:33: error: 'SAMPLE_FMT_FLT' undeclared (first use in this function)
gstffmpegcodecmap.c:2052:31: error: incompatible types when assigning to type 'enum AVSampleFormat' from type 'const struct <anonymous> *'
gstffmpegcodecmap.c:2052:11: warning: statement with no effect
gstffmpegcodecmap.c:2054:33: error: 'SAMPLE_FMT_DBL' undeclared (first use in this function)
gstffmpegcodecmap.c:2054:31: error: incompatible types when assigning to type 'enum AVSampleFormat' from type 'const struct <anonymous> *'
gstffmpegcodecmap.c:2054:11: warning: statement with no effect
gstffmpegcodecmap.c:2065:33: error: 'SAMPLE_FMT_S16' undeclared (first use in this function)
gstffmpegcodecmap.c:2065:31: error: incompatible types when assigning to type 'enum AVSampleFormat' from type 'const struct <anonymous> *'
gstffmpegcodecmap.c:2065:11: warning: statement with no effect
gstffmpegcodecmap.c:2067:33: error: 'SAMPLE_FMT_S32' undeclared (first use in this function)
gstffmpegcodecmap.c:2067:31: error: incompatible types when assigning to type 'enum AVSampleFormat' from type 'const struct <anonymous> *'
gstffmpegcodecmap.c:2067:11: warning: statement with no effect
gstffmpegcodecmap.c: In function 'gst_ffmpeg_caps_with_codecid':
gstffmpegcodecmap.c:2483:9: warning: 'sub_id' is deprecated (declared at /usr/include/libavcodec/avcodec.h:1356)
make[3]: *** [libgstffmpeg_la-gstffmpegcodecmap.lo] Fehler 1
make[3]: Leaving directory `/tmp/tmerge/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r2/work/gst-ffmpeg-0.10.13/ext/ffmpeg'
make[2]: *** [all-recursive] Fehler 1
make[2]: Leaving directory `/tmp/tmerge/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r2/work/gst-ffmpeg-0.10.13/ext'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/tmp/tmerge/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r2/work/gst-ffmpeg-0.10.13'
make: *** [all] Fehler 2
 * ERROR: media-plugins/gst-plugins-ffmpeg-0.10.13-r2 failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=media-plugins/gst-plugins-ffmpeg-0.10.13-r2'`,
 * the complete build log and the output of `emerge -pqv '=media-plugins/gst-plugins-ffmpeg-0.10.13-r2'`.
 * The complete build log is located at '/tmp/portage/media-plugins:gst-plugins-ffmpeg-0.10.13-r2:20120626-221119.log'.
 * For convenience, a symlink to the build log is located at '/tmp/tmerge/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r2/temp/build.log'.
 * The ebuild environment file is located at '/tmp/tmerge/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r2/temp/environment'.
 * Working directory: '/tmp/tmerge/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r2/work/gst-ffmpeg-0.10.13'
 * S: '/tmp/tmerge/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r2/work/gst-ffmpeg-0.10.13'
Comment 3 lordcris 2012-06-27 00:05:19 UTC
I have the same error.


cris@lordcris /tmp $ emerge -pv ffmpeg; emerge --info
[ebuild   R   ] media-video/ffmpeg-0.11.1  USE="X aac alsa bzip2 encode faac hardcoded-tables mmx mp3 pulseaudio sdl ssse3 truetype vdpau vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -amr -avresample -avx -bindist -bluray -cdio (-celt) -cpudetection -debug -doc -fontconfig -frei0r -gnutls -gsm -ieee1394 -jack -jpeg2k -libass -libv4l -mmxext -modplug (-neon) -network -openal -openssl -oss -pic -rtmp -schroedinger -speex -static-libs -test -theora -threads -v4l -vaapi (-vis) -vpx" FFTOOLS="aviocat cws2fws ffeval graph2dot ismindex pktdumper qt-faststart trasher" 
Portage 2.1.10.65 (default/linux/amd64/10.0/desktop/gnome, gcc-4.5.3, glibc-2.14.1-r3, 3.4.2-pf x86_64)
=================================================================
System uname: Linux-3.4.2-pf-x86_64-Intel-R-_Core-TM-2_Quad_CPU_@_2.93GHz-with-gentoo-2.1
Timestamp of tree: Tue, 26 Jun 2012 22:00:01 +0000
app-shells/bash:          4.2_p20
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.6
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories:

gentoo
    location: /usr/portage
    sync: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

dottout
    location: /var/lib/layman/dottout
    masters: gentoo
    priority: 0

x-LukynZ
    location: /var/lib/layman/LukynZ
    masters: gentoo
    priority: 1

sabayon
    location: /var/lib/layman/sabayon
    masters: gentoo
    priority: 2

gnome
    location: /var/lib/layman/gnome
    masters: gentoo
    priority: 3

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 4

ABI="amd64"
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
ACCEPT_PROPERTIES="*"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol"
ANT_HOME="/usr/share/ant"
APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias"
ARCH="amd64"
AUTOCLEAN="yes"
BOOTSTRAP_USE="cxx unicode multilib"
CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump"
CAMERAS="ptp2"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CFLAGS_amd64="-m64"
CFLAGS_x32="-mx32"
CFLAGS_x86="-m32"
CG_COMPILER_EXE="/usr/bin/cgc"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x32="x86_64-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog"
COLLISION_IGNORE="/lib/modules/* *.py[co]"
COLORTERM="gnome-terminal"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-kHn1LxrrA3,guid=3db480d5bb9c1c2a154571ce0000003d"
DEFAULT_ABI="amd64"
DESKTOP_SESSION="gnome"
DISPLAY=":0"
DISTDIR="/usr/portage/distfiles"
EDITOR="/bin/nano"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="--jobs 5 --load-average 10 --keep-going --verbose --quiet --autounmask-write"
EMERGE_WARNING_DELAY="10"
EPREFIX=""
EROOT="/"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FETCHCOMMAND="wget -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
FETCHCOMMAND_SFTP="bash -c "x=\${2#sftp://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec sftp -P \${port} \"\${host}:/\${x#*/}\" \"\$1\"" sftp "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}""
FFLAGS="-O2 -pipe"
FLTK_DOCDIR="/usr/share/doc/fltk-1.3.0-r1/html"
GCC_SPECS=""
GDK_USE_XFT="1"
GDMSESSION="gnome"
GENTOO_MIRRORS="http://gentoo.mneisen.org/ http://ftp.halifax.rwth-aachen.de/gentoo/ http://mirrors.linuxant.fr/distfiles.gentoo.org/ http://mirror.netcologne.de/gentoo/"
GIT_SSL_NO_VERIFY="true"
GNOME_DESKTOP_SESSION_ID="this-is-deprecated"
GNOME_KEYRING_CONTROL="/home/cris/.cache/keyring-IXmDRs"
GNOME_KEYRING_PID="5638"
GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx"
GRUB_PLATFORMS=""
GSETTINGS_BACKEND="dconf"
GUILE_LOAD_PATH="/usr/share/guile/1.8"
HG="/usr/bin/hg"
HISTIGNORE="&:ls:[bf]g:exit"
HOME="/home/cris"
INFOPATH="/usr/share/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.3/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.21.1/info"
INPUT_DEVICES="keyboard mouse evdev"
JAVAC="/home/cris/.gentoo/java-config-2/current-user-vm/bin/javac"
JAVA_HOME="/home/cris/.gentoo/java-config-2/current-user-vm"
JDK_HOME="/home/cris/.gentoo/java-config-2/current-user-vm"
KERNEL="linux"
LANG="en_US.UTF-8"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LDFLAGS_amd64="-m elf_x86_64"
LDFLAGS_x32="-m elf32_x86_64"
LDFLAGS_x86="-m elf_i386"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe %s"
LIBDIR_amd64="lib64"
LIBDIR_amd64_fbsd="lib64"
LIBDIR_n32="lib32"
LIBDIR_n64="lib64"
LIBDIR_o32="lib"
LIBDIR_ppc="lib32"
LIBDIR_ppc64="lib64"
LIBDIR_s390="lib32"
LIBDIR_s390x="lib64"
LIBDIR_sparc32="lib32"
LIBDIR_sparc64="lib64"
LIBDIR_x32="libx32"
LIBDIR_x86="lib32"
LIBDIR_x86_fbsd="lib32"
LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer"
LINGUAS="en it bg"
LOGNAME="cris"
LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.pdf=00;32:*.ps=00;32:*.txt=00;32:*.patch=00;32:*.diff=00;32:*.log=00;32:*.tex=00;32:*.doc=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:"
MAKEOPTS="-j5"
MANPATH="/home/cris/.gentoo/java-config-2/current-user-vm/man:/usr/local/share/man:/usr/share/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.3/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.21.1/man:/etc/java-config/system-vm/man/"
MULTILIB_ABIS="amd64 x86"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage|udev)"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
OLDPWD="/home/cris/Dropbox/backup/pharmacies/relievepain.org"
OPENCL_PROFILE="nvidia"
OPENGL_PROFILE="nvidia"
PAGER="/usr/bin/less"
PATH="/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.3"
PHP_TARGETS="php5-3"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="ppc sparc64-freebsd ppc-openbsd x86-openbsd ppc64 x86-winnt x86-fbsd ppc-aix alpha arm x86-freebsd s390 amd64 arm-linux x86-macos x64-openbsd ia64-hpux hppa x86-netbsd ppc64-linux x86-cygwin amd64-linux ia64-linux x86 sparc-solaris x64-freebsd sparc64-solaris x86-linux x64-macos sparc m68k-mint ia64 mips ppc-macos x86-interix hppa-hpux amd64-fbsd x64-solaris m68k sh x86-solaris sparc-fbsd"
PORTAGE_BINHOST_CHUNKSIZE="3000"
PORTAGE_BIN_PATH="/usr/lib64/portage/bin"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="log warn error"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="save_summary echo"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_GPG_SIGNING_COMMAND="gpg --sign --clearsign --yes --default-key "${PORTAGE_GPG_KEY}" --homedir "${PORTAGE_GPG_DIR}" "${FILE}""
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_NICENESS="15"
PORTAGE_OVERRIDE_EPREFIX=""
PORTAGE_PYM_PATH="/usr/lib64/portage/pym"
PORTAGE_QUIET="1"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_RSYNC_RETRIES="-1"
PORTAGE_SYNC_STALE="30"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/dottout /var/lib/layman/LukynZ /var/lib/layman/sabayon /var/lib/layman/gnome /usr/local/portage"
PORT_LOGDIR_CLEAN="find "${PORT_LOGDIR}" -type f ! -name "summary.log*" -mtime +7 -delete"
PRELINK_PATH_MASK="/usr/lib64/klibc:/usr/lib64/libfreebl3.so:/usr/lib64/libnssdbm3.so:/usr/lib64/libsoftokn3.so"
PROFILE_ONLY_VARIABLES="ARCH ELIBC KERNEL USERLAND"
PWD="/tmp"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_TARGETS="python3_2 python2_7"
QT_GRAPHICSSYSTEM="raster"
RESUMECOMMAND="wget -c -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
RESUMECOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
RESUMECOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}""
ROOT="/"
ROOTPATH="/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.3"
RPMDIR="/usr/portage/rpm"
RUBY_TARGETS="ruby18 ruby19"
SESSION_MANAGER="local/lordcris.lordcris.com:@/tmp/.ICE-unix/5659,unix/lordcris.lordcris.com:/tmp/.ICE-unix/5659"
SHELL="/bin/bash"
SHLVL="1"
SSH_AGENT_PID="5681"
SSH_AUTH_SOCK="/home/cris/.cache/keyring-IXmDRs/ssh"
SYMLINK_LIB="yes"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
TERM="xterm"
USE="X a52 aac acl acpi alsa amd64 bash-completion berkdb branding bzip2 cairo cdda cdr cleartype cli colord consolekit corefonts cracklib crypt cups custom-optimizations cxx dbus dri dts dvd dvdr eds emboss encode evo exif faac fam firefox flac fortran gdbm gif gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk iconv jpeg lcms ldap libnotify mad mmx mng modules mp3 mp4 mpeg mudflap multilib nautilus ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pppd pulseaudio qt3support qt4 readline sdl session socialweb spell sqlite sse sse2 ssl ssse3 startup-notification svg tcpd tiff truetype type1 udev udisks unicode upnp upower usb vdpau vorbis wxwidgets x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en it bg" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USER="cris"
USERLAND="GNU"
USERNAME="cris"
USE_EXPAND="ALSA_CARDS ALSA_PCM_PLUGINS APACHE2_MODULES APACHE2_MPMS CALLIGRA_FEATURES CAMERAS COLLECTD_PLUGINS CROSSCOMPILE_OPTS CURL_SSL DRACUT_MODULES DVB_CARDS ELIBC FCDSL_CARDS FFTOOLS FOO2ZJS_DEVICES FRITZCAPI_CARDS GPSD_PROTOCOLS GRUB_PLATFORMS INPUT_DEVICES KERNEL LCD_DEVICES LIBREOFFICE_EXTENSIONS LINGUAS LIRC_DEVICES MISDN_CARDS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL OFED_DRIVERS OPENMPI_FABRICS OPENMPI_OFED_FEATURES OPENMPI_RM PHP_TARGETS PYTHON_TARGETS QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS RUBY_TARGETS SANE_BACKENDS USERLAND VIDEO_CARDS VOICEMAIL_STORAGE XFCE_PLUGINS XTABLES_ADDONS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_ORDER="env:pkg:conf:defaults:pkginternal:repo:env.d"
VBOX_APP_HOME="/opt/VirtualBox"
VIDEO_CARDS="nvidia"
WINDOWID="41944569"
WINDOWPATH="7"
XAUTHORITY="/var/run/gdm/auth-for-cris-JcP7aa/database"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share:/usr/share/gdm"
XDG_MENU_PREFIX="gnome-"
XDG_SESSION_COOKIE="6e12a44feb2494e09491b83c00000010-1340461244.385761-1697990821"
XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
_="/usr/bin/emerge"
Comment 4 Herbert Wantesh 2012-06-27 00:12:12 UTC
i downgraded to media-video/ffmpeg-0.10.3 and that solved the compile error
Comment 5 W. Trevor King 2012-06-27 11:29:01 UTC
Your summary should include the full package atom (=media-plugins/gst-plugins-ffmpeg-0.10.13-r2) not just the package and version (gst-plugins-ffmpeg-0.10.13-r2).
Comment 6 Jeroen Roovers gentoo-dev 2012-06-27 14:01:37 UTC
Please attach the entire build log to this bug report.
Comment 7 Ulenrich 2012-07-09 15:32:04 UTC
instead of:     --with-system-ffmpeg \
of this -r2 ebuild version downgrade to

media-plugins/gst-plugins-ffmpeg-0.10.13-r1
which is compiling his own static ffmpeg!
Comment 8 shinydoofy 2012-08-18 19:21:45 UTC
Created attachment 321652 [details]
complete build.log

As per jer's request.
Comment 9 Robert Schedel 2012-11-05 21:56:08 UTC
This bug should block the existing ffmpeg-0.11 tracker bug (Bug 417677)
Comment 10 Diego Elio Pettenò (RETIRED) gentoo-dev 2012-11-15 06:54:47 UTC
*** Bug 425318 has been marked as a duplicate of this bug. ***
Comment 11 Diego Elio Pettenò (RETIRED) gentoo-dev 2012-11-15 06:54:51 UTC
*** Bug 433619 has been marked as a duplicate of this bug. ***
Comment 12 Luca Barbato gentoo-dev 2012-11-21 20:11:50 UTC
Upstream is working on that and I already provided them with some initial analysis and an easy patch.
Comment 14 PM 2013-01-03 00:36:05 UTC
What's the status of this one? Right now gst-plugins-ffmpeg is the only thing forcing me to keep the old ffmpeg libs.
Comment 15 Gilles Dartiguelongue gentoo-dev 2013-01-03 08:45:34 UTC
Will have to check debian patches but I'd rather have it against ffmpeg as well than just libav. Also, there will be no pkgmove since this is the current upstream package name for 0.10. If you want it renamed, ask upstream to do a new 0.10 release as gst-libav.
Comment 16 Robert Cabrera 2013-02-01 07:53:28 UTC
Any progress on getting this to build with newer ffmpeg or libav?

There are now security alerts for ffmpeg older than 1.0.2.

I mistakenly posted about this on another thread about gst-plugins-libav which is for the newer versions of gstreamer. This is the only thing holding me back from unmasking and updating to a newer ffmpeg or labav as I need this for html5 compatibility in firefox and qt-webkit/rekonq while maintaining gstreamer-.10.x for phonon in KDE.

The newer gstreamers currently don't work with phonon, firefox or qt-webkit.
Comment 17 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-02-03 23:22:22 UTC
I've added a gst-plugins-libav-1.1.0_pre20130128 snapshot, hacked to be compatible with gstreamer-1.0.5. It works with libav-9 and hopefully should work with ffmpeg-1.1 too. It's masked, and should be unmasked together with the new libav and ffmpeg.

But fixing gst-plugins-ffmpeg-0.10.x will be much more difficult: gstreamer upstream no longer cares about the 0.10 series, and for libav-9 support, we would need to backport many heavy patches two major gst releases into the past (from 1.1 to 0.10).

+*gst-plugins-libav-1.1.0_pre20130128 (03 Feb 2013)
+
+  03 Feb 2013; Alexandre Rostovtsev <tetromino@gentoo.org>
+  gst-plugins-libav-1.0.3.ebuild, gst-plugins-libav-1.0.5.ebuild,
+  +gst-plugins-libav-1.1.0_pre20130128.ebuild,
+  +files/gst-plugins-libav-1.1.0_pre20130128-gbr-color.patch:
+  Add gst-plugins-libav-1.1 prerelease for libav-9 and ffmpeg-1.1 compatibility
+  (bug #423717). Pin gst-plugins-libav-1.0.x to libav-0.8 and ffmpeg-0.10.

+  03 Feb 2013; Alexandre Rostovtsev <tetromino@gentoo.org> package.mask:
+  Add media-plugins/gst-plugins-libav-1.1 prereleases to libav package.mask
+  (bug #423717).
Comment 18 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-02-11 07:37:39 UTC
Added masked gst-plugins-ffmpeg-0.10.13_p201211 ebuild. It works with libav-9, and hopefully should be compatible with ffmpeg-1.1. Popular video formats appear to play correctly.

Note that due to divergence between 0.10 and 1.1 gstreamer releases and my inadequate understanding of libav internals, I couldn't backport the planar audio patches from gst-libav. As a result, gst-plugins-ffmpeg-0.10.13_p201211 fails to play .ape audio files, because the ape codec is planar-only in libav-9.

Patches for planar audio support would be most welcome.

+*gst-plugins-ffmpeg-0.10.13_p201211 (11 Feb 2013)
+
+  11 Feb 2013; Alexandre Rostovtsev <tetromino@gentoo.org>
+  gst-plugins-ffmpeg-0.10.13-r2.ebuild,
+  +gst-plugins-ffmpeg-0.10.13_p201211.ebuild:
+  Add the gstreamer-2012.11 SDK git snapshot of gst-plugins-ffmpeg with
+  additional backported patches from gst-plugins-libav-1.1 for libav-9 and
+  (hopefully) ffmpeg-1.1 compatibility; should fix bug #423717. Pin existing
+  ebuild to libav-0.8 and ffmpeg-0.10.
Comment 19 Robert Cabrera 2013-02-16 14:06:01 UTC
Thanks Alexandre,
 
I know it must have been a great deal of work to backport the patches to make this possible.

This was the last package keeping me from unmasking and updating to ffmpeg-1.0.x from .10.x.

For the last several hours I've been trying out at various sites around the 'net and so far so good!!!


I appreciate your efforts. 

Thanks again!!!

Ciao